import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:all_in_one_basic/all_in_one_basic.dart';

void main() {
  const MethodChannel channel = MethodChannel('all_in_one_basic');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await AllInOneBasic.platformVersion, '42');
  });
}
